import 'dart:async';

import 'package:mohem_flutter_app/config/routes.dart';
import 'package:mohem_flutter_app/utils/navigator.dart';
import 'package:mohem_flutter_app/utils/utils.dart';
import 'package:mohem_flutter_app/widgets/txt.dart';
import 'package:flutter/material.dart';

class SplashPage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Container(
        width: double.infinity,
        height: double.infinity,
        child: Column(
          children: [
            mFlex(5),
            Txt(
              "Logo",
              fontSize: 45,
              bold: true,
            ),
            mFlex(3),
            Txt(
              "First Time Log In",
              txtType: TxtType.heading1,
              isFlatButton: true,
              onTap: () {
                navigateWithName(context, AppRoutes.registerSelection);
              },
            ),
            mFlex(1),
            Txt(
              "Already Signed Up and Logged In",
              txtType: TxtType.heading1,
              isFlatButton: true,
              onTap: () {
                navigateWithName(context, AppRoutes.loginVerification);
              },
            ),
            mFlex(5),
          ],
        ),
      ),
    );
  }
}
